package com.aucma.report.mapper;

import java.util.List;
import com.aucma.report.domain.DeviceAlarmRecord;

/**
 * 设备报警记录Mapper接口
 *
 * @author Yinq
 * @date 2024-03-26
 */
public interface DeviceAlarmRecordMapper
{
    /**
     * 查询设备报警记录
     *
     * @param objId 设备报警记录主键
     * @return 设备报警记录
     */
    public DeviceAlarmRecord selectDeviceAlarmRecordByObjId(Long objId);

    /**
     * 查询设备报警记录列表
     *
     * @param deviceAlarmRecord 设备报警记录
     * @return 设备报警记录集合
     */
    public List<DeviceAlarmRecord> selectDeviceAlarmRecordList(DeviceAlarmRecord deviceAlarmRecord);

    /**
     * 新增设备报警记录
     *
     * @param deviceAlarmRecord 设备报警记录
     * @return 结果
     */
    public int insertDeviceAlarmRecord(DeviceAlarmRecord deviceAlarmRecord);

    /**
     * 修改设备报警记录
     *
     * @param deviceAlarmRecord 设备报警记录
     * @return 结果
     */
    public int updateDeviceAlarmRecord(DeviceAlarmRecord deviceAlarmRecord);

    /**
     * 删除设备报警记录
     *
     * @param objId 设备报警记录主键
     * @return 结果
     */
    public int deleteDeviceAlarmRecordByObjId(Long objId);

    /**
     * 批量删除设备报警记录
     *
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeviceAlarmRecordByObjIds(Long[] objIds);

    int deleteDeviceAlarmRecordByDates(Long dates);
}
